import { Link } from "react-router-dom";
import DashboardOrderGood from "./DashboardOrderGood";
const DashboardOrder = ({ order: { _id, createdAt, total, orderGoods } } = {}) => (
    <div className="DashboardOrder ">
        <div className="w-100 header">
            <h5>Дата: {new Date(+createdAt).toDateString()}</h5> <strong>Сумма: {total || " - "}</strong>
        </div>

        {orderGoods?.map((orderGood) => (
            <Link className="Link" to={`/good/${_id}/`} key={orderGood._id}>
                <DashboardOrderGood orderGood={orderGood} />
            </Link>
        ))}
    </div>
);

export default DashboardOrder;
