import { backendURL } from "helpers";
import defaultGoodImage from "images/defaultGoodImage.png";

const DashboardOrderGood = ({ orderGood: { count, price: total, good } } = {}) => {
    const { name, _id, price, images } = good || {};
    return (
        <div className="DashboardOrderGood">
            <div className="row">
                <div className="col-3">
                    <img
                        src={images[0]?.url ? `${backendURL}/${images ? images[0]?.url : ""}` : defaultGoodImage}
                        alt=""
                    />
                </div>

                <div className="col-5">
                    <div>
                        <strong>Название: </strong> {name}
                    </div>
                    <div>
                        <strong>Цена : </strong> {price} * {count} = {+price * +count}
                    </div>
                </div>
                <div className="col-4">
                    <div className=" w-100 d-flex justify-content-between">
                        <div className="d-flex"></div>
                    </div>
                </div>
            </div>
        </div>
    );
};

export default DashboardOrderGood;
