import { CGoodCard } from "components/GoodCard";

export const GoodCardSet = ({ goods = [] } = {}) => {
    return (
        <div className={`GoodCardSet ${goods.length < 5 && "justify-content-start"}`}>
            {(goods || []).map((good) => (
                <CGoodCard good={good} buyButton={false} key={good?._id} />
            ))}
        </div>
    );
};
