import { connect } from "react-redux";
import { Link } from "react-router-dom";
import { actionLogout } from "../actions";

export const Logout = ({ handleOnClick, login }) => (
    <Link to="/" className="Link Logout menuItem" onClick={handleOnClick}>{`Logout (${login || ""})`}</Link>
);
const CLogout = connect((state) => ({ login: state.auth.payload?.sub?.login }), {
    handleOnClick: actionLogout,
})(Logout);

export default CLogout;
