import { useState } from "react";

export const ProfileFormInput = ({ value: initialValue, onSave }) => {
    const [value, setValue] = useState(initialValue || "");
    return (
        <div className="ProfileFormInput">
            <input value={value} onChange={(e) => setValue(e.target.value)} />
            <div
                className="saveButton"
                onClick={() => {
                    onSave(value);
                }}
            >
                Сохранить
            </div>
        </div>
    );
};

// (e) => {
//     setState((state) => ({ ...state, ["nick"]: e.target.value }));
// }
