import { CGoodCard } from "components/GoodCard";
import { HiOutlineEmojiSad } from "react-icons/hi";
export const GoodList = ({ goods = [] }) => (
    <div className="GoodList">
        <div className="row">
            {!!goods.length ? (
                (goods || []).map((good) => (
                    <div className="col-6 col-md-4 col-lg-3 ">
                        <CGoodCard good={good} key={good._id} />
                    </div>
                ))
            ) : (
                <div className="error">
                    Тут пусто ! <HiOutlineEmojiSad />
                </div>
            )}
        </div>
    </div>
);
