import { Carousel } from "react-responsive-carousel";

export const DiscountCarousel = ({ discounts = [] } = {}) => (
    <div className="DiscountCarousel">
        <Carousel className="Slider" autoPlay={true} showThumbs={false} infiniteLoop={true} showStatus={false}>
            {(discounts || []).map((discount) => (
                <div key={discount}>
                    <img src={discount} />
                </div>
            ))}
        </Carousel>
    </div>
);
