import { promiseWorker } from "reducers/promiseReducer";
import { call, select } from "redux-saga/effects";
import { actionAboutMe, actionUserUpsert } from ".";

export const actionUserUpdate = (user = {}) => ({ type: "USER_UPDATE", payload: user });

export function* userUpdateWorker(action) {
    yield call(promiseWorker, actionUserUpsert(action.payload));
    const {
        promise: {
            upserUser: { status },
        },
    } = yield select();
    if (status === "FULFILLED") {
        yield call(promiseWorker, actionAboutMe());
    }
}
