import { connect } from "react-redux";
import CategoryItem from "./CategoryItem";

export const Categories = ({ categories }) => (
    <div className="Categories">
        {(categories || []).map((category) => (
            <CategoryItem category={category} key={category._id} />
        ))}
    </div>
);

const CCategories = connect((state) => ({
    categories: state.promise.rootCats?.payload || [],
}))(Categories);

export default CCategories;
