import { Link } from "react-router-dom";

const CategoryItem = ({ category: { _id, name } = {} }) => {
    return (
        <div className="CategoryItem">
            <div className="header d-flex">
                <Link className="Link" to={`/category/${_id}/`}>
                    {name}
                </Link>
            </div>
        </div>
    );
};

export default CategoryItem;
