import { useDropzone } from "react-dropzone";
import { useEffect } from "react";
import { connect } from "react-redux";
export const DropZone = ({ onFileDrop, children }) => {
    const { acceptedFiles, getRootProps, getInputProps } = useDropzone();

    useEffect(() => {
        if (acceptedFiles.length) {
            onFileDrop(acceptedFiles);
        }
    }, [acceptedFiles]);

    return (
        <section className="DropZone">
            <div {...getRootProps({ className: "dropzone" })}>
                {/* <input {...getInputProps()} /> */}
                {children}
            </div>
        </section>
    );
};
