import { SubCategoryItem } from "./SubCategoryItem";
import { connect } from "react-redux";

export const SubCategories = ({ categories }) =>
    categories?.length ? (
        <div className="SubCategories">
            {(categories || []).map((cat) => (
                <SubCategoryItem category={cat} key={cat._id} />
            ))}
        </div>
    ) : (
        ""
    );

export const CSubCategories = connect((state) => ({
    categories: state.promise?.catById?.payload?.subCategories || [],
}))(SubCategories);
