import { useEffect } from "react";
import { Route, Switch } from "react-router-dom";
import { actionRootCats } from "../actions";
import CCategories from "../components/Categories";
import { AdminCategories } from "../pages/admin";
import { store } from "../reducers";

const Aside = ({ children }) => (
    <aside className="Aside ">
        <div className="body">
            <Switch>
                <Route path="/admin/" component={AdminCategories} />
                <Route path="/*" component={CCategories} />
            </Switch>
        </div>

        {children}
    </aside>
);

export default Aside;
