import { FaEdit } from "react-icons/fa";
import { Link } from "react-router-dom";
const AdminCategoryItem = ({ category }) => (
    <tr className="AdminCategoryItem">
        <th scope="row">{category._id}</th>
        <td>{category.name ? category.name : "-"}</td>
        <td>{category.parent?.name ? category.parent.name : "-"}</td>
        <td className="edit">
            <Link className="Link" to={`/admin/category/${category._id}/`}>
                <FaEdit />
            </Link>
        </td>
    </tr>
);

export { AdminCategoryItem };
